[arch-commits] Commit in nodejs/repos (4 files)
Felix Yan
fyan at archlinux.org
Wed Sep 9 08:01:05 UTC 2015
Date: Wednesday, September 9, 2015 @ 10:01:05
Author: fyan
Revision: 139660
archrelease: copy trunk to community-testing-i686, community-testing-x86_64
Added:
nodejs/repos/community-testing-i686/
nodejs/repos/community-testing-i686/PKGBUILD
(from rev 139659, nodejs/trunk/PKGBUILD)
nodejs/repos/community-testing-x86_64/
nodejs/repos/community-testing-x86_64/PKGBUILD
(from rev 139659, nodejs/trunk/PKGBUILD)
-----------------------------------+
community-testing-i686/PKGBUILD | 73 ++++++++++++++++++++++++++++++++++++
community-testing-x86_64/PKGBUILD | 73 ++++++++++++++++++++++++++++++++++++
2 files changed, 146 insertions(+)
Copied: nodejs/repos/community-testing-i686/PKGBUILD (from rev 139659, nodejs/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD (rev 0)
+++ community-testing-i686/PKGBUILD 2015-09-09 08:01:05 UTC (rev 139660)
@@ -0,0 +1,73 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=4.0.0
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl' 'zlib' 'icu') # 'libuv' 'v8' 'c-ares')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+source=("http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz")
+sha256sums=('e110e5a066f3a6fe565ede7dd66f3727384b9b5c5fbf46f8db723d726e2f5900')
+
+prepare() {
+ cd node-v$pkgver
+
+ msg 'Fixing for python2 name'
+ find -type f -exec sed \
+ -e 's_^#!/usr/bin/env python$_&2_' \
+ -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+ -e 's_^#!/usr/bin/python$_&2_' \
+ -e 's_python -c _python2 -c _' \
+ -e "s_'python'_'python2'_" -i {} \;
+ find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+ cd node-v$pkgver
+
+ export PYTHON=python2
+ ./configure \
+ --prefix=/usr \
+ --with-intl=system-icu \
+ --without-npm \
+ --shared-openssl \
+ --shared-zlib
+ # --shared-libuv
+ # --shared-v8
+ # --shared-cares
+
+ make
+}
+
+check() {
+ cd node-v$pkgver
+ make test || warning "Tests failed"
+}
+
+package() {
+ cd node-v$pkgver
+
+ make DESTDIR="$pkgdir" install
+
+ # install docs as per user request
+ install -d "$pkgdir"/usr/share/doc/nodejs
+ cp -r doc/api/{*.html,assets} \
+ "$pkgdir"/usr/share/doc/nodejs
+
+ install -D -m644 LICENSE \
+ "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:
Copied: nodejs/repos/community-testing-x86_64/PKGBUILD (from rev 139659, nodejs/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD (rev 0)
+++ community-testing-x86_64/PKGBUILD 2015-09-09 08:01:05 UTC (rev 139660)
@@ -0,0 +1,73 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=4.0.0
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl' 'zlib' 'icu') # 'libuv' 'v8' 'c-ares')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+source=("http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz")
+sha256sums=('e110e5a066f3a6fe565ede7dd66f3727384b9b5c5fbf46f8db723d726e2f5900')
+
+prepare() {
+ cd node-v$pkgver
+
+ msg 'Fixing for python2 name'
+ find -type f -exec sed \
+ -e 's_^#!/usr/bin/env python$_&2_' \
+ -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+ -e 's_^#!/usr/bin/python$_&2_' \
+ -e 's_python -c _python2 -c _' \
+ -e "s_'python'_'python2'_" -i {} \;
+ find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+ cd node-v$pkgver
+
+ export PYTHON=python2
+ ./configure \
+ --prefix=/usr \
+ --with-intl=system-icu \
+ --without-npm \
+ --shared-openssl \
+ --shared-zlib
+ # --shared-libuv
+ # --shared-v8
+ # --shared-cares
+
+ make
+}
+
+check() {
+ cd node-v$pkgver
+ make test || warning "Tests failed"
+}
+
+package() {
+ cd node-v$pkgver
+
+ make DESTDIR="$pkgdir" install
+
+ # install docs as per user request
+ install -d "$pkgdir"/usr/share/doc/nodejs
+ cp -r doc/api/{*.html,assets} \
+ "$pkgdir"/usr/share/doc/nodejs
+
+ install -D -m644 LICENSE \
+ "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list